## golang-github-siddontang-ledisdb 0.5+git20170821.86.57a07ed

=== Makefile ===
INSTALL_PATH ?= $(CURDIR)

$(shell ./tools/build_config.sh build_config.mk $INSTALL_PATH)

include build_config.mk

export CGO_CFLAGS
export CGO_CXXFLAGS
export CGO_LDFLAGS
export LD_LIBRARY_PATH
export DYLD_LIBRARY_PATH
export GO_BUILD_TAGS

all: build

build:
	rm -rf vendor && ln -s _vendor/vendor vendor
	go build -o bin/ledis-server -tags '$(GO_BUILD_TAGS)' cmd/ledis-server/*
	go build -o bin/ledis-cli -tags '$(GO_BUILD_TAGS)' cmd/ledis-cli/*
	go build -o bin/ledis-benchmark -tags '$(GO_BUILD_TAGS)' cmd/ledis-benchmark/*
	go build -o bin/ledis-dump -tags '$(GO_BUILD_TAGS)' cmd/ledis-dump/*
	go build -o bin/ledis-load -tags '$(GO_BUILD_TAGS)' cmd/ledis-load/*
	go build -o bin/ledis-repair -tags '$(GO_BUILD_TAGS)' cmd/ledis-repair/*
	rm -rf vendor

test:
	rm -rf vendor && ln -s _vendor/vendor vendor
	go test --race -tags '$(GO_BUILD_TAGS)' -timeout 2m ./...
	rm -rf vendor


clean:
	go clean -i ./...

fmt:
	gofmt -w -s  . 2>&1 | grep -vE 'vendor' | awk '{print} END{if(NR>0) {exit 1}}' 

update_vendor:
	which glide >/dev/null || curl https://glide.sh/get | sh
	which glide-vc || go get -v -u github.com/sgotti/glide-vc
	rm -r vendor && mv _vendor/vendor vendor || true
	rm -rf _vendor
ifdef PKG
	glide get --strip-vendor --skip-test ${PKG}
else
	glide update --strip-vendor --skip-test
endif
	@echo "removing test files"
	glide vc --only-code --no-tests
	mkdir -p _vendor
	mv vendor _vendor/vendor

## golang-github-siddontang-ledisdb 0.5+git20170318.76.5929802

=== debian/changelog ===
golang-github-siddontang-ledisdb (0.5+git20170318.76.5929802-1) unstable; urgency=medium

  * Initial release (Closes: #859169)

 -- Michael Lustfield <michael@lustfield.net>  Thu, 06 Apr 2017 02:33:20 -0500

=== debian/control ===
Source: golang-github-siddontang-ledisdb
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-edsrzf-mmap-go-dev,
               golang-github-peterh-liner-dev,
               golang-github-siddontang-go-dev,
               golang-github-siddontang-goredis-dev,
               golang-github-siddontang-rdb-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-github-ugorji-go-codec-dev
Standards-Version: 3.9.8
Homepage: https://github.com/siddontang/ledisdb
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-siddontang-ledisdb.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-siddontang-ledisdb.git
XS-Go-Import-Path: github.com/siddontang/ledisdb

Package: golang-github-siddontang-ledisdb-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-burntsushi-toml-dev,
         golang-github-edsrzf-mmap-go-dev,
         golang-github-peterh-liner-dev,
         golang-github-siddontang-go-dev,
         golang-github-siddontang-goredis-dev,
         golang-github-siddontang-rdb-dev,
         golang-github-syndtr-goleveldb-dev,
         golang-github-ugorji-go-codec-dev
Description: High-performance NoSQL database written in Go
 Ledisdb is a high-performance NoSQL database, similar to Redis,
 written in Go. It supports many data structures including kv,
 list, hash, zset, set. It supports multiple different databases
 as backends.
 .
 Features
   - Rich data structure: KV, List, Hash, ZSet, Set.
   - Data storage is not limited by RAM.
   - Various backends supported: LevelDB, goleveldb, RocksDB, RAM.
   - Supports Lua scripting.
   - Supports expiration and TTL.
   - Can be managed via redis-cli.
   - Easy to embed in your own Go application.
   - HTTP API support, JSON/BSON/msgpack output.
   - Replication to guarantee data safety.
   - Supplies tools to load, dump, and repair database.
   - Supports cluster, use xcodis
   - Authentication (though, not via http)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	# No current need for binaries
	$(RM) -r $(CURDIR)/debian/$(shell dh_listpackages)/usr/bin

# Tests fail because of missing test data (likely working dir problem)
override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-siddontang-ledisdb-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/siddontang/ledisdb/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-siddontang-ledisdb 0.5+git20170619.84.0cb8e1a

=== debian/changelog ===
golang-github-siddontang-ledisdb (0.5+git20170619.84.0cb8e1a-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Thu, 03 Aug 2017 16:16:18 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                golang-any,
                golang-github-burntsushi-toml-dev,
                golang-github-edsrzf-mmap-go-dev,
+               golang-github-glendc-gopher-json-dev,
+               golang-github-pelletier-go-toml-dev,
                golang-github-peterh-liner-dev,
                golang-github-siddontang-go-dev,
                golang-github-siddontang-goredis-dev,
@@ -26,6 +28,8 @@
          ${misc:Depends},
          golang-github-burntsushi-toml-dev,
          golang-github-edsrzf-mmap-go-dev,
+         golang-github-glendc-gopher-json-dev,
+         golang-github-pelletier-go-toml-dev,
          golang-github-peterh-liner-dev,
          golang-github-siddontang-go-dev,
          golang-github-siddontang-goredis-dev,

## golang-github-siddontang-ledisdb 0.5+git20170821.86.57a07ed

=== debian/changelog ===
golang-github-siddontang-ledisdb (0.5+git20170821.86.57a07ed-3) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:33 -0600

golang-github-siddontang-ledisdb (0.5+git20170821.86.57a07ed-2) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:16:07 -0600

golang-github-siddontang-ledisdb (0.5+git20170821.86.57a07ed-1) unstable; urgency=medium

  * New upstream build.
  * Fix/enable unit tests.
  * Maintenance updates:
    - Standards-Version bump.
    - Clean up d/watch.
    - Add Testsuite to d/control.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 30 Sep 2017 00:40:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-siddontang-ledisdb
 Section: devel
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Lustfield <michael@lustfield.net>
+Maintainer: QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
@@ -16,10 +15,11 @@
                golang-github-siddontang-rdb-dev,
                golang-github-syndtr-goleveldb-dev,
                golang-github-ugorji-go-codec-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/siddontang/ledisdb
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-siddontang-ledisdb.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-siddontang-ledisdb.git
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/siddontang/ledisdb
 
 Package: golang-github-siddontang-ledisdb-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := config/config.toml

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	# No current need for binaries
	$(RM) -r $(CURDIR)/debian/$(shell dh_listpackages)/usr/bin

=== debian/watch ===
# uscan(1) configuration file.
version=4
opts="\
pgpmode=none,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/siddontang/ledisdb/releases \
   .*/archive/v?(\d[\d.]+)\.tar\.gz
